<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/pdma.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">pdma.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d14/pdma_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">   38</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a>(uint32_t u32Mask)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>{</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;GCRCSR |= (u32Mask &lt;&lt; 8);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>}</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">   52</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>{</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;GCRCSR = 0;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>}</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">   68</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a>(uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>{</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> = (pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> &amp; ~PDMA_CSR_APB_TWS_Msk) | u32Width;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="keywordflow">switch</span> (u32Width)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e4d6deef47ba09e97543dc7594a59a3">PDMA_WIDTH_32</a>:</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafb440a7a3753ec21c130497aef7de4b8">BCR</a> = (u32TransCount &lt;&lt; 2);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2d69c77ef2c12860be0c946ab509c52">PDMA_WIDTH_8</a>:</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafb440a7a3753ec21c130497aef7de4b8">BCR</a> = u32TransCount;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="keywordflow">case</span> <a class="code hl_define" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10522cab6c0fa8d45aeb59deb064dfac">PDMA_WIDTH_16</a>:</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafb440a7a3753ec21c130497aef7de4b8">BCR</a> = (u32TransCount &lt;&lt; 1);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        ;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>}</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">  105</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a>(uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>{</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac03cbcb60bd8f61f401bc492a5082aa5">SAR</a> = u32SrcAddr;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae9328015fb4cd6a934f99b2463a7149f">DAR</a> = u32DstAddr;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> = (pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> &amp; ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a86dfdafb251655f38489107b37156078">PDMA_CSR_SAD_SEL_Msk</a>|<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a8bcadade9001e14dafc83f7abba196c2">PDMA_CSR_DAD_SEL_Msk</a>)) | (u32SrcCtrl | u32DstCtrl);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>}</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">  131</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a>(uint32_t u32Ch, uint32_t u32Peripheral, uint32_t u32ScatterEn, uint32_t u32DescAddr)</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>{</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    <span class="keywordflow">switch</span> (u32Ch)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR0 &amp; ~DMA_GCR_DSSR0_CH1_SEL_Msk) | (u32Peripheral &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a00c8d928b57d9ace608f7d8a97c7077c">DMA_GCR_DSSR0_CH1_SEL_Pos</a>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR0 &amp; ~DMA_GCR_DSSR0_CH2_SEL_Msk) | (u32Peripheral &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aaad64c7dc8703272fff2689e4ee9dce1">DMA_GCR_DSSR0_CH2_SEL_Pos</a>);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR0 &amp; ~DMA_GCR_DSSR0_CH3_SEL_Msk) | (u32Peripheral &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a1aa2572b4a59549122ca5731f1fa6845">DMA_GCR_DSSR0_CH3_SEL_Pos</a>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="keywordflow">case</span> 4:</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR1 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a>-&gt;DSSR1 &amp; ~DMA_GCR_DSSR1_CH4_SEL_Msk) | u32Peripheral;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        ;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="keywordflow">if</span> (u32Peripheral == <a class="code hl_define" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga345574611c87136e7d228d877449ad4e">PDMA_MEM</a>)</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> &amp;= ~PDMA_CSR_MODE_SEL_Msk;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (u32Peripheral &amp; 0x10)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> = (pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> &amp; ~PDMA_CSR_MODE_SEL_Msk) | 0x4; <span class="comment">/* IP to memory */</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> = (pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> &amp; ~PDMA_CSR_MODE_SEL_Msk) | 0x8; <span class="comment">/* memory to IP */</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>}</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">  172</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a>(uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>{</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2d32cd7347384fb469ccb130cebeec32">TCR</a> = (pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2d32cd7347384fb469ccb130cebeec32">TCR</a> &amp; ~PDMA_TCR_PDMA_TCR_Msk) | u32TimeOutCnt;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> = (pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> &amp; ~PDMA_CSR_TO_EN_Msk) | (u32OnOff &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a46b83c6163c04eb34683355c8173bd50">PDMA_CSR_TO_EN_Pos</a>);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>}</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">  191</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a>(uint32_t u32Ch)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>{</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">CSR</a> |= (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a17411dae06be61dd14c58ba2bd527213">PDMA_CSR_TRIG_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a58497c3f6937cc83c8544e99dd7cdff2">PDMA_CSR_PDMACEN_Msk</a>);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>}</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">  209</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a>(uint32_t u32Ch, uint32_t u32Mask)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>{</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5c28784c32bb49716e0486c490be2e7e">IER</a> |= u32Mask;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>}</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">  227</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a>(uint32_t u32Ch, uint32_t u32Mask)</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>{</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    <a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *pdma;</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>    pdma = (<a class="code hl_struct" href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a> *)((uint32_t) <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a> + (0x100 * u32Ch));</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    pdma-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5c28784c32bb49716e0486c490be2e7e">IER</a> &amp;= ~u32Mask;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>}</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span> <span class="comment">/* end of group NANO1X2_PDMA_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span> <span class="comment">/* end of group NANO1X2_PDMA_Driver */</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a00c8d928b57d9ace608f7d8a97c7077c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a00c8d928b57d9ace608f7d8a97c7077c">DMA_GCR_DSSR0_CH1_SEL_Pos</a></div><div class="ttdeci">#define DMA_GCR_DSSR0_CH1_SEL_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02354">Nano1X2Series.h:2354</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a17411dae06be61dd14c58ba2bd527213"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a17411dae06be61dd14c58ba2bd527213">PDMA_CSR_TRIG_EN_Msk</a></div><div class="ttdeci">#define PDMA_CSR_TRIG_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02410">Nano1X2Series.h:2410</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a1aa2572b4a59549122ca5731f1fa6845"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a1aa2572b4a59549122ca5731f1fa6845">DMA_GCR_DSSR0_CH3_SEL_Pos</a></div><div class="ttdeci">#define DMA_GCR_DSSR0_CH3_SEL_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02360">Nano1X2Series.h:2360</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a46b83c6163c04eb34683355c8173bd50"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a46b83c6163c04eb34683355c8173bd50">PDMA_CSR_TO_EN_Pos</a></div><div class="ttdeci">#define PDMA_CSR_TO_EN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02403">Nano1X2Series.h:2403</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a58497c3f6937cc83c8544e99dd7cdff2"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a58497c3f6937cc83c8544e99dd7cdff2">PDMA_CSR_PDMACEN_Msk</a></div><div class="ttdeci">#define PDMA_CSR_PDMACEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02389">Nano1X2Series.h:2389</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a86dfdafb251655f38489107b37156078"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a86dfdafb251655f38489107b37156078">PDMA_CSR_SAD_SEL_Msk</a></div><div class="ttdeci">#define PDMA_CSR_SAD_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02398">Nano1X2Series.h:2398</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a8bcadade9001e14dafc83f7abba196c2"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a8bcadade9001e14dafc83f7abba196c2">PDMA_CSR_DAD_SEL_Msk</a></div><div class="ttdeci">#define PDMA_CSR_DAD_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02401">Nano1X2Series.h:2401</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aaad64c7dc8703272fff2689e4ee9dce1"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aaad64c7dc8703272fff2689e4ee9dce1">DMA_GCR_DSSR0_CH2_SEL_Pos</a></div><div class="ttdeci">#define DMA_GCR_DSSR0_CH2_SEL_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02357">Nano1X2Series.h:2357</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga0e4d6deef47ba09e97543dc7594a59a3"><div class="ttname"><a href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e4d6deef47ba09e97543dc7594a59a3">PDMA_WIDTH_32</a></div><div class="ttdeci">#define PDMA_WIDTH_32</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d47/pdma_8h_source.html#l00038">pdma.h:38</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga10522cab6c0fa8d45aeb59deb064dfac"><div class="ttname"><a href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10522cab6c0fa8d45aeb59deb064dfac">PDMA_WIDTH_16</a></div><div class="ttdeci">#define PDMA_WIDTH_16</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d47/pdma_8h_source.html#l00037">pdma.h:37</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga345574611c87136e7d228d877449ad4e"><div class="ttname"><a href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga345574611c87136e7d228d877449ad4e">PDMA_MEM</a></div><div class="ttdeci">#define PDMA_MEM</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d47/pdma_8h_source.html#l00069">pdma.h:69</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gac2d69c77ef2c12860be0c946ab509c52"><div class="ttname"><a href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2d69c77ef2c12860be0c946ab509c52">PDMA_WIDTH_8</a></div><div class="ttdeci">#define PDMA_WIDTH_8</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d47/pdma_8h_source.html#l00036">pdma.h:36</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga18db38eff0079eefe428d2d7fbf2cc10"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a></div><div class="ttdeci">void PDMA_SetTransferAddr(uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl)</div><div class="ttdoc">Set PDMA Transfer Address.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00105">pdma.c:105</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27b2c77a625837f0e75592b2c040993f"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a></div><div class="ttdeci">void PDMA_Trigger(uint32_t u32Ch)</div><div class="ttdoc">Trigger PDMA.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00191">pdma.c:191</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3b46058bec15e3be2e3b4255c3aac3e4"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a></div><div class="ttdeci">void PDMA_SetTimeOut(uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt)</div><div class="ttdoc">Set PDMA Timeout.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00172">pdma.c:172</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4fd46c5f3b680a1e7d5af398dc0f1981"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a></div><div class="ttdeci">void PDMA_EnableInt(uint32_t u32Ch, uint32_t u32Mask)</div><div class="ttdoc">Enable Interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00209">pdma.c:209</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga57adda7a5b3cc4834bf6713af2992243"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a></div><div class="ttdeci">void PDMA_Open(uint32_t u32Mask)</div><div class="ttdoc">PDMA Open.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00038">pdma.c:38</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac243b7bdead36ee0dc6042c9c7e67aa1"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a></div><div class="ttdeci">void PDMA_Close(void)</div><div class="ttdoc">PDMA Close.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00052">pdma.c:52</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gacc2cc6a09900276aa06f40d287bd1346"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a></div><div class="ttdeci">void PDMA_DisableInt(uint32_t u32Ch, uint32_t u32Mask)</div><div class="ttdoc">Disable Interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00227">pdma.c:227</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad2adb19540b9241d0c7982cfa99251f8"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a></div><div class="ttdeci">void PDMA_SetTransferMode(uint32_t u32Ch, uint32_t u32Periphral, uint32_t u32ScatterEn, uint32_t u32DescAddr)</div><div class="ttdoc">Set PDMA Transfer Mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00131">pdma.c:131</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf8075439ad51f51ff6acc64218a74477"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a></div><div class="ttdeci">void PDMA_SetTransferCnt(uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount)</div><div class="ttdoc">Set PDMA Transfer Count.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00068">pdma.c:68</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae4c57f065fae4522432c2e137c947436"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae4c57f065fae4522432c2e137c947436">PDMAGCR</a></div><div class="ttdeci">#define PDMAGCR</div><div class="ttdoc">Pointer to PDMA global control register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10664">Nano1X2Series.h:10664</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p_html_gaf10f55841edcb6f4d7a4dfc3fd36b71f"><div class="ttname"><a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf10f55841edcb6f4d7a4dfc3fd36b71f">PDMA0_BASE</a></div><div class="ttdeci">#define PDMA0_BASE</div><div class="ttdoc">PDMA0 register base address.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10614">Nano1X2Series.h:10614</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga2d32cd7347384fb469ccb130cebeec32"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2d32cd7347384fb469ccb130cebeec32">PDMA_T::TCR</a></div><div class="ttdeci">__IO uint32_t TCR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02262">Nano1X2Series.h:2262</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga5c28784c32bb49716e0486c490be2e7e"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5c28784c32bb49716e0486c490be2e7e">PDMA_T::IER</a></div><div class="ttdeci">__IO uint32_t IER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02214">Nano1X2Series.h:2214</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga9d21db3829051558647d9e50ec276543"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9d21db3829051558647d9e50ec276543">PDMA_T::CSR</a></div><div class="ttdeci">__IO uint32_t CSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02114">Nano1X2Series.h:2114</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gac03cbcb60bd8f61f401bc492a5082aa5"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac03cbcb60bd8f61f401bc492a5082aa5">PDMA_T::SAR</a></div><div class="ttdeci">__IO uint32_t SAR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02127">Nano1X2Series.h:2127</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gae9328015fb4cd6a934f99b2463a7149f"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae9328015fb4cd6a934f99b2463a7149f">PDMA_T::DAR</a></div><div class="ttdeci">__IO uint32_t DAR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02140">Nano1X2Series.h:2140</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gafb440a7a3753ec21c130497aef7de4b8"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafb440a7a3753ec21c130497aef7de4b8">PDMA_T::BCR</a></div><div class="ttdeci">__IO uint32_t BCR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02153">Nano1X2Series.h:2153</a></div></div>
<div class="ttc" id="astruct_p_d_m_a___t_html"><div class="ttname"><a href="../../d1/d00/struct_p_d_m_a___t.html">PDMA_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l02060">Nano1X2Series.h:2061</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
